﻿var pageTitleNotification = (function (window, document) {

	var CurrFavicon = "";
	
	
    var config = {
        currentTitle: null,
        interval: null
    };

    var on = function (notificationText, intervalSpeed,favicon_on,favicon_off) {
        
		
		
		if (!config.interval) {
            config.currentTitle = document.title;
			
            config.interval = window.setInterval(function() {
				
				
				if (favicon_on){
					
						if  (CurrFavicon != favicon_on){
								changeFavicon(favicon_on);	
								CurrFavicon = favicon_on;
							
						}else{
							changeFavicon(favicon_off);	
							CurrFavicon = favicon_off;
							
						}
				
				}
				
				
				
                document.title = (config.currentTitle === document.title)
                    ? notificationText
                    : config.currentTitle ;
			
				
				

			
            }, (intervalSpeed) ? intervalSpeed : 1000);
		
		
			
        }
    };

    var off = function (redirecturl) {
		
        window.clearInterval(config.interval);
        config.interval = null;
        document.title = config.currentTitle;
		
		if (redirecturl != ''){
			window.location.replace(redirecturl);	
		}
		
    };

    return {
        on: on,
        off: off
    };

})(window, document);